Bug 509510 - gitosis ssh access is blocked by selinux
gitosis ssh access is blocked by selinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gitosis (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John Khvatov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 03:47 EDT by Robert de Vries
Modified: 2010-06-28 09:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert de Vries 2009-07-03 03:47:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):
gitosis-0.2-8.20080825git.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install gitosis
2. Import the public key from the client per the instructions on the server (sudo -H -u gitosis gitosis.init < id_rsa.pub)
3. Try to clone repository using git clone gitosis@server_name:gitosis-admin.git
  
Actual results:
Git fails to clone the repository. The client asks for a password, but logging in using a password is disabled (on purpose).
In /var/log/messages the following line appears:
Jul  3 09:39:46 devt setroubleshoot: SELinux is preventing sshd (sshd_t) "read" var_lib_t. For complete SELinux messages. run sealert -l a4187688-435f-41fe-a07d-b8dd9a61732c


Expected results:
Git clones the repository without prompting for a password.


Additional info:
sealert output

Summary:

SELinux is preventing sshd (sshd_t) "read" var_lib_t.

Detailed Description:

SELinux denied access requested by sshd. It is not expected that this access is
required by sshd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_lib_t:s0
Target Objects                authorized_keys [ file ]
Source                        sshd
Source Path                   /usr/sbin/sshd
Port                          <Unknown>
Host                          devt.i-optics.local
Source RPM Packages           openssh-server-5.2p1-2.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-53.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     devt.i-optics.local
Platform                      Linux devt.i-optics.local 2.6.29.4-167.fc11.x86_64
                              #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64
Alert Count                   5
First Seen                    Fri Jul  3 09:22:55 2009
Last Seen                     Fri Jul  3 09:39:45 2009
Local ID                      a4187688-435f-41fe-a07d-b8dd9a61732c
Line Numbers                  

Raw Audit Messages            

node=devt.i-optics.local type=AVC msg=audit(1246606785.358:47734): avc:  denied  { read } for  pid=24603 comm="sshd" name="authorized_keys" dev=dm-0 ino=88478 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file

node=devt.i-optics.local type=SYSCALL msg=audit(1246606785.358:47734): arch=c000003e syscall=2 success=no exit=-13 a0=7fabbfbcb680 a1=800 a2=1 a3=7fabbe4dc7b0 items=0 ppid=1709 pid=24603 auid=4294967295 uid=0 gid=0 euid=494 suid=0 fsuid=494 egid=491 sgid=0 fsgid=491 tty=(none) ses=4294967295 comm="sshd" exe="/usr/sbin/sshd" subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)
Comment 1 John Khvatov 2009-11-18 04:05:44 EST
It's seems fixed in #470514.
Comment 2 Bug Zapper 2010-04-27 11:26:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:27:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.